<ui:composition xmlns:rich="http://richfaces.org/rich" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <s:decorate template="/pdq/supplierConfiguration.xhtml">
            <ui:param name="managedBean" value="#{pdqv3pdsGuiManager}"/>
            <ui:param name="title"
                      value="#{messages['net.ihe.gazelle.PatientManager.PDQv3PatientDemographicsSupplierConfiguration']}"/>
            <ui:param name="imagePath" value="diag/pdqv3Supplier.png"/>
            <ui:param name="displayDomains" value="true"/>
            <ui:define name="parameters">
                <dl>
                    <s:decorate id="charsetDecoration" template="/layout/display/_display.xhtml">
                        <ui:define name="label">#{messages['gazelle.HL7Common.Endpoint']}</ui:define>
                        <h:outputText
                                value="#{pdqv3pdsGuiManager.endpointUrl}"/>
                    </s:decorate>

                    <s:decorate id="ipDecoration" template="/layout/display/_display.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.pam.ReceiverDeviceidRootOID']}</ui:define>
                        <h:outputText
                                value="#{pdqv3pdsGuiManager.deviceId}"/>
                    </s:decorate>

                    <s:decorate id="portDecoration" template="/layout/display/_display.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.pam.ReceiverOrganizationOID']}</ui:define>
                        <h:outputText
                                value="#{pdqv3pdsGuiManager.organizationOid}"/>
                    </s:decorate>
                </dl>
            </ui:define>
        </s:decorate>
    </ui:define>
</ui:composition>